package com.gic.haoban.manage.api.service.hm;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmLinkSearchQDTO;

/**
 * 
* @ClassName: HmLinkApiService
* @Description: 活码链接
* @author xugh
* @date 2022年7月1日 下午2:24:40
*
 */
public interface HmLinkApiService {

    public HmLinkDTO getByLinkId(String wxEnterpriseId, String enterprieId,Long linkId);

    /**
     * 
    * @Title: listForSms
    * @Description: 营销短信-查询专用链接
    * @author xugh
    * @param wxEnterpriseId
    * @param enterprieId
    * @param linkName
    * @return
    * @throws
     */
    public List<HmLinkDTO> listForSms(String wxEnterpriseId, String enterprieId, String linkName);

    public Page<HmLinkDTO> listPage(HmLinkSearchQDTO qdto, BasePageInfo basePageInfo);

    public HmLinkDTO save(HmLinkDTO dto);
}
